package fr.username404.snowygui.gui.feature

import fr.username404.snowygui.gui.feature.ButtonInfo.Companion.Type
import kotlinx.serialization.Serializable
import net.minecraft.client.Minecraft

/**
 * @property command The command to execute
 * @property title The title of the macro
 */
@Serializable
@ButtonInfo.Ignored
@ButtonInfo(Category.MACROS, kind = Type.CLICK)
data class Macro(
    @JvmField var command: String,
    override var title: String = command
): ButtonImpl() {
    override fun execAction() = Minecraft.getInstance().player!!.chat("/$command")
}